import { CSSObject, MantineNumberSize, MantineTheme } from '@mantine/core';
import { ForwardedRef } from 'react';
import { DataTablePaginationProps } from './types';
import { WithOptional, WithRequired } from './types/utils';
type DataTableFooterProps = WithOptional<WithRequired<DataTablePaginationProps, 'loadingText' | 'paginationSize' | 'recordsPerPageLabel' | 'paginationWrapBreakpoint'>, 'onRecordsPerPageChange' | 'recordsPerPageOptions'> & {
    className?: string;
    style?: CSSObject;
    topBorderColor: string | ((theme: MantineTheme) => string);
    fetching: boolean | undefined;
    recordsLength: number | undefined;
    horizontalSpacing: MantineNumberSize | undefined;
    noRecordsText: string;
};
declare const _default: (props: DataTableFooterProps & {
    ref: ForwardedRef<HTMLDivElement>;
}) => JSX.Element;
export default _default;
//# sourceMappingURL=DataTableFooter.d.ts.map